module StaticModel
  class Configuration
    attr_accessor :base_data_path
  end

  def self.configure
    yield(configuration)
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.method_missing(method_sym, *arguments, &block)
    if configuration.respond_to?(method_sym)
      configuration.__send__(method_sym)
    else
      super
    end
  end

  def self.respond_to?(method_sym, include_private = false)
    configuration.respond_to?(method_sym, include_private) || super
  end
end
