module StaticModel
  module Shortcut
    def self.included(base)
      base.extend(ClassMethods)
    end

    module ClassMethods
      def method_missing(method_sym, *arguments, &block)
        if exists?(method_sym.to_s)
          find(method_sym.to_s)
        else
          super
        end
      end

      def respond_to?(method_sym, include_private = false)
        exists?(method_sym.to_s) || super
      end
    end
  end
end
